Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 161107 - New guide: The Xfce Configuration Guide
Summary: New guide: The Xfce Configuration Guide
Status: RESOLVED FIXED
Alias: None
Product: [OLD] Docs on www.gentoo.org
Classification: Unclassified
Component: Other documents (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: nm (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-09 11:39 UTC by nm (RETIRED)
Modified: 2007-01-13 06:00 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xfce-config.xml (xfce-config.xml,17.38 KB, text/plain)
2007-01-09 11:40 UTC, nm (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nm (RETIRED) gentoo-dev 2007-01-09 11:39:18 UTC
Hey guys, I ended up writing that Xfce howto a few months earlier than planned. Took me all day, though. :)

I'll have to take out a few paragraphs once Xfce-4.4 final is released, but that's a little ways off yet, and the sections are clearly <!-- commented -->.

My goal with this doc was to show not just how to install the basic minimal xfce environment, but to show how to set up a real full-featured desktop that still adheres to the Xfce philosophy: fast, configurable, lightweight, and modular. That's why it's a little longer than, e.g., the gnome guide. ;)

Comments, suggestions, and criticisms welcome. I'll leave this in bugzilla for a few days until I've heard from some of you, then I'll commit it.

Cheers!
Comment 1 nm (RETIRED) gentoo-dev 2007-01-09 11:39:44 UTC
CCing the most wonderful xfce herd for additional feedback, please. :)
Comment 2 nm (RETIRED) gentoo-dev 2007-01-09 11:40:23 UTC
Created attachment 106185 [details]
xfce-config.xml

Here it is. First (hopefully only, heh :D) draft of the guide.
Comment 3 Samuli Suominen gentoo-dev 2007-01-09 15:21:05 UTC
> Here it is. First (hopefully only, heh :D) draft of the guide.

Need a nice email client/newsreader that isn't as demanding as
<c>mozilla-thunderbird</c> or <c>evolution</c>? Try <c>sylpheed-claws</c>:
# <i>emerge -avt sylpheed-claws</i>

It's called now claws-mail, but yeah it's still keyworded.

Comment 4 nm (RETIRED) gentoo-dev 2007-01-09 22:10:59 UTC
(In reply to comment #3)
> It's called now claws-mail, but yeah it's still keyworded.
> 
Noted. I added a <!-- comment --> as a reminder to remove it once the whole replacement thing has happened on down the road. For now, sylpheed-claws will be in the tree for some time, so the guide is correct.

Thanks for mentioning this.
Comment 5 Flammie Pirinen (RETIRED) gentoo-dev 2007-01-10 02:49:04 UTC
Might be worth noting that Terminal is stable on some archs already.

I'm also not sure that xdm actually comes unconditionally with modular X.

As a Unicode advocate I would also prefer arrows (→, if it works in 'zilla) over --&gt;'s. They seem to be widely enough supported as menu separators in running text that even for example yelp uses them.
Comment 6 nm (RETIRED) gentoo-dev 2007-01-10 03:48:20 UTC
(In reply to comment #5)
> Might be worth noting that Terminal is stable on some archs already.
> 
> I'm also not sure that xdm actually comes unconditionally with modular X.
> 
> As a Unicode advocate I would also prefer arrows (→, if it works in 'zilla)
> over --&gt;'s. They seem to be widely enough supported as menu separators in
> running text that even for example yelp uses them.
> 

Thanks for the comments. I changed --&gt; to -->; the escape characters were from the days when using > outside of tag produced errors in xmllint (that was *so* 2005!). Also changed the bit on Terminal. Only amd64 and sparc don't have a stable version.

Also, I made changes to the XDM/GDM section, since you're right; it doesn't look like XDM is necessarily pulled in. Fixed.

Note that you can view the latest version on my devspace, where it's been fully rendered by the powers of gorg. :)

http://dev.gentoo.org/~nightmorph/xfce-config.xml
Comment 7 Jan Kundrát (RETIRED) gentoo-dev 2007-01-10 10:53:48 UTC
(In reply to comment #6)
> Thanks for the comments. I changed --&gt; to -->; the escape characters were
> from the days when using > outside of tag produced errors in xmllint (that was
> *so* 2005!).

Er, Flammie would probably prefer to use an Unicode character for arrow, not the ascii stuff :)
Comment 8 nm (RETIRED) gentoo-dev 2007-01-13 06:00:08 UTC
Added to our documentation repository. Thanks to everyone for feedback, comments, etc. :)

All done here! Of course, I'll update it again in some months when Xfce-4.4(++) is stabled... ;)